Skip to main content
GET
ListPrincipalAttributeEnumValues

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

principalAttributeKeyId
string
required

Query Parameters

pageSize
integer<int64>

The maximum number of enum values to return. The service may return fewer than this value. If unspecified, at most 50 enum values will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken
string

A page token, received from a previous ListPrincipalAttributeEnumValues call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListPrincipalAttributeEnumValues must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are principal_attribute_enum_value_id, name, display_name, description, created_by_user_id, modified_by_user_id, created_date, and modified_date. Archive state is controlled via the include_archived field below, not via filter. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved enum values. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date, modified_date, and display_name. If left empty, items are ordered by created_date in descending order (newest-first). For more information about the format of this field, read this Example: "display_name,created_date desc"

includeArchived
boolean

Whether to include archived enum values. Defaults to false.

Response

A successful response.

principalAttributeEnumValues
object[]
nextPageToken
string